Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QShared Class Reference

    #include <QShared>

This class is part of the Qt 3 compatibility library. It is provided to keep old source code working. We strongly advise against using it in new code.

- List of all members, including inherited members

### Public Functions

- QShared ()
- bool deref ()
- void ref ()

## Detailed Description

## Member Function Documentation

### QShared::QShared ()

Use QSharedData and QSharedDataPointer instead.

### bool QShared::deref ()

Use QSharedDataPointer instead.

### void QShared::ref ()

Use QSharedDataPointer instead.